#!/bin/bash

#
# Tue Jul 30 11:16:16 CEST 2019 -rodney@LF.net
# - Beispiele fuer Rate-Limits.
# - bisher WIP, non-functional.
# - siehe auch:
#   man iptables-extensions
#

ipset create black hash:net timeout 600

# ----------------------------
# Szenario:
# - "viele ungewuenschte Pakete" von verschiedenen Source IPs aus
# - z.B. DDoS SYN Flood
iptables -A RODNEY -p icmp \
         -m hashlimit \
         --hashlimit-name black \
         --hashlimit-mode srcip --hashlimit-above 1/s \
         --hashlimit-htable-expire 5000 \
         -j SET --add-set black src --timeout 10 --exist

# iptables -A RODNEY -p tcp --syn \
iptables -A RODNEY -p icmp \
        -m hashlimit \
        --hashlimit-name many-syns \
        --hashlimit-mode srcip --hashlimit-above 10/s \
        --hashlimit-htable-expire 5000 \
        -j SET --add-set black src --timeout 10 --exist

#  while true; do cat /proc/net/ipt_hashlimit/many-syns; sleep 1; done

