# Diese Datei soll nach /etc/network/iptables-autoapply/<KUNDENKUERZEL>-custom.sh kopiert und editiert werden.

# --------------------------------
#
# - Hier werden die Netze eingetragen, die per Web GUI, ssh etc. auf die Proxmox Hosts zugreifen duerfen.
# - Also, Administration der Proxmox Hosts.
#
ipset create customer-proxmox-access hash:net timeout 0 comment > /dev/null 2>&1 || true
ipset create tmp hash:net timeout 0 comment || true
ipset flush tmp

# LF.net Office
ipset add tmp 212.9.190.0/24 comment "LF.net Office"
ipset swap tmp customer-proxmox-access
ipset destroy tmp


# --------------------------------

#
# - IP-Netze der Proxmox-Hosts, auf deren primaeren Interfaces
# - Wird verwendet um die zwischen den Proxmox-Hosts verwendete Kommunikation freizuschalten.
#

# TODO: zfs-snaprep soll Cluster-uebergreifend funktionieren, aber andere Dinge ggfs. nicht

ipset create proxmox-networks hash:net timeout 0 comment > /dev/null 2>&1 || true
ipset create tmp hash:net timeout 0 comment

ipset add tmp 62.50.111.192/26 comment "p02nXX.lf.net"
ipset add tmp 212.9.176.64/26 comment "p03nXX.lf.net"
ipset add tmp 62.50.113.0/26 comment "p04nXX.lf.net, p05nXX.lf.net"
ipset add tmp 62.50.113.64/27 comment "p06nXX.lf.net"

ipset swap tmp proxmox-networks
ipset destroy tmp
