# Diese Datei soll nach /etc/network/iptables-autoapply/<KUNDENKUERZEL>-custom.sh kopiert und editiert werden.

# --------------------------------
#
# - Hier werden die Netze eingetragen, die per Web GUI, ssh etc. auf die Proxmox Hosts zugreifen duerfen.
# - Also, Administration der Proxmox Hosts.
#

ipset create customer-proxmox-access hash:net timeout 0 > /dev/null 2>&1

ipset destroy tmp > /dev/null 2>&1
ipset create tmp hash:net timeout 0 > /dev/null 2>&1
ipset flush tmp

# LF.net Office
ipset add tmp 212.9.190.0/24

# ...

ipset swap tmp customer-proxmox-access
ipset destroy tmp



# --------------------------------

#
# - IP-Netze der Proxmox-Hosts, auf deren primaeren Interfaces
# - Wird verwendet um die zwischen den Proxmox-Hosts verwendete Kommunikation freizuschalten.
#

ipset create proxmox-networks hash:net timeout 0 > /dev/null 2>&1

ipset destroy tmp > /dev/null 2>&1
ipset create tmp hash:net timeout 0 > /dev/null 2>&1
ipset flush tmp

# LF.net p02n* Cluster
ipset add tmp 62.50.111.192/26

# LF.net p03n* Cluster
ipset add tmp 212.9.176.64/26

ipset swap tmp proxmox-networks
ipset destroy tmp

