
# --------------------------------
#
# - Hier werden die Netze eingetragen, die per Web GUI, ssh etc. auf die Proxmox Hosts zugreifen duerfen.
# - Also, Administration der Proxmox Hosts.
#

# ------------------------------
# IP-Adressen und Netze von Kunden und Dienstleistern
# ipset add tmp 62.50.124.50 comment "OpenVPN dienstleister@sowieso.de"

ipset create white-src hash:net timeout 0 comment > /dev/null 2>&1

ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1
ipset flush tmp

ipset add tmp 62.50.111.0/24 comment "monitor.lf.net"
#ipset add tmp xx.xx.xx.0/24 comment "Netze fuer <customer> Proxmox"

# LF.net Support Netze, aus ehemaliger MGMTIN chain
ipset add tmp 212.9.190.0/24 comment "LF.net i4 Office"
ipset add tmp 212.9.160.128/25 comment "LF.net VDL Office"
# ipset add tmp 212.9.160.64/27 comment "core backbone, vlan 100"
ipset add tmp 62.50.111.16/28 comment "LF.net Monitoring"
# ipset add tmp 212.9.160.15/32 comment "service.lf.net"

# *NICHT* verwenden:
ipset add tmp 213.178.172.0/26 comment "LF.net DSL?"

ipset add tmp 213.178.172.16/32 comment "DSL Rodney? Oder OpenVPN IP?"

ipset swap tmp white-src
ipset destroy tmp



# ----------------------------
# Liste der DMZ-Netze die Zugang ins Internet bekommen
ipset create set-dmz hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

# ipset add tmp 212.9.185.160/27 comment "DMZ hinter Firewall"

ipset swap tmp set-dmz
ipset destroy tmp


# -----------
ipset create set-dmz-officeservices hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 212.9.191.144/29 comment "DMZ Office-Services"

ipset swap tmp set-dmz-officeservices
ipset destroy tmp

