# Diese Datei soll nach /etc/network/iptables-autoapply/<KUNDENKUERZEL>-custom.sh kopiert und editiert werden.
#

# --------------------------------
# Liste der Webserver die von ANY per HTTP / HTTPS erreicht werden duerfen
ipset create set-webserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

#ipset add tmp 1.2.3.4/32 comment "Primary Ingress"

ipset swap tmp set-webserver
ipset destroy tmp

# ------------------------------
# IP-Adressen und Netze von Kunden und Dienstleistern
# ipset add tmp 62.50.124.50 comment "OpenVPN dienstleister@sowieso.de"

ipset create white-src hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1
ipset flush tmp

ipset add tmp 62.50.111.0/24 comment "monitor.lf.net"

# LF.net Support Netze, aus ehemaliger MGMTIN chain
ipset add tmp 212.9.190.0/24 comment "LF.net R27 Office"
ipset add tmp 212.9.160.128/25
ipset add tmp 212.9.160.64/27
ipset add tmp 62.50.111.16/28
ipset add tmp 212.9.160.15/32
ipset add tmp 213.178.172.0/26

# dt@ VPN
ipset add tmp 212.9.183.78/32

ipset swap tmp white-src
ipset destroy tmp


# ---------------------------
# Liste der Webserver, die nur ueber Reverse-Proxy erreichbar sind
ipset create revproxy-webserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

#ipset add tmp 1.2.3.4/32 comment "Primary Ingress"

ipset swap tmp revproxy-webserver
ipset destroy tmp


# ----------------------------
# Liste der Mailserver die von ANY per SMPT / POP / IMAP erreicht werden duerfen
ipset create set-mailserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

#ipset add tmp 1.2.3.4/32 comment "Primary Mailserver"

ipset swap tmp set-mailserver
ipset destroy tmp


# ----------------------------
# Liste der DMZ-Netze die Zugang ins Internet bekommen
ipset create set-dmz hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 10.96.42.0/25 comment "SCOVI WIN DMZ"

ipset swap tmp set-dmz
ipset destroy tmp


# ----------------------------
# Liste der OpenVPN-Netze die Zugang bekommen
ipset create set-openvpn hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 10.96.42.128/25 comment "SCOVI OVPN CLIENTS"

ipset swap tmp set-openvpn
ipset destroy tmp


# ----------------------------
# Liste der OpenVPN-Server die Zugang bekommen
ipset create set-ovpnserver hash:net timeout 0 comment > /dev/null 2>&1
ipset create tmp hash:net timeout 0 comment > /dev/null 2>&1

ipset add tmp 212.9.161.105/32 comment "SCOVI OVPN Server"

ipset swap tmp set-ovpnserver
ipset destroy tmp
